PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Alloc_Workspace_cgels | ( | int | M,
|  | int | N,
|  | PLASMA_desc ** | descT
| ) |  |

PLASMA_Alloc_Workspace_cgels - Allocates workspace for PLASMA_cgels or PLASMA_cgels_Tile routine.

Parameters

  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [out] | descT | On exit, workspace handle for storage of the extra T factors required by the tile QR or the tile LQ factorization.

Returns

Return values

  PLASMA_SUCCESS | successful exit